# ***********************************************************************
# *                                                                     *
# *            Star Traders: A Game of Interstellar Trading             *
# *               Copyright (C) 1990-2020, John Zaitseff                *
# *                                                                     *
# ***********************************************************************

# Author: John Zaitseff <J.Zaitseff@zap.org.au>
# $Id: a6312bff72c666ada208b6974358e2bb9a82c1f1 $

# This file is distributed under the same licence as Star Traders itself:
# the GNU General Public License, version 3 or later.

Name:		trader
Version:	7.14
Release:	%mkrel 1
Summary:	A simple game of interstellar trading
License:	GPLv3+
Group:		Games/Strategy
Url:		https://www.zap.org.au/projects/trader/
Source0:	https://ftp.zap.org.au/pub/trader/unix/%{name}-%{version}.tar.xz

BuildRequires:	gettext
BuildRequires:	gperf
BuildRequires:	pkgconfig(ncurses)

%description
Star Traders is a simple game of interstellar trading, where the objective
is to create companies, buy and sell shares, borrow and repay money, in
order to become the wealthiest player (the winner).

%prep
%setup -q

%build
%configure2_5x
%make_build

%install
%make_install
%find_lang %{name}

%files -f %{name}.lang
%doc NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6*
